Summary: A simple text mode graphics drop-in replacement for svgalib.
Name: aavga
Version: 0.9
Release: 9
Copyright: GPL
Group: Amusements/Graphics
Source0: ftp://ftp.ta.jcu.cz/pub/aa/aavga-0.9.tgz 
Source1: ttyquake-0.4.2.tar.gz 
BuildRoot: /var/tmp/aavga-root
ExclusiveArch: i386 
BuildPreReq: aalib-devel, aalib
Requires: aalib

%description
The aavga program allows you to run SVGA programs (like DOOM, Quake, and
Quake II) in text mode. Aavga is a wrapper for the AA-lib ASCII art
library, so you'll need to also have the aalib package installed if you
want to use aavga.

%package -n  ttyquake
Summary: A textmode version of Quake.
Group: Amusements/Games
Requires: slang, ncurses, gpm, aalib, svgalib, aavga

%description -n ttyquake
If you really need to play Quake or Quake II on a text terminal, in an
xterm, or over a telnet session, you can give it a try with ttyquake.

%prep
%setup -q  -n aavga

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{games,lib}
install -s -m 755 aavga.so $RPM_BUILD_ROOT/usr/lib/
install -m 755 ttyquake $RPM_BUILD_ROOT/usr/games

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING aavga.lsm
/usr/lib/aavga.so 

%files -n ttyquake
%defattr(-,root,root)
%doc README.ttyquake 
/usr/games/ttyquake

%changelog
* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed bug #15068

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Apr 26 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 26 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- added buildroot
- added ttyquake
